# Uses of Class
org.apache.lucene.search.matchhighlight.OffsetRange

Packages that use OffsetRange
Package
Description
org.apache.lucene.search.matchhighlight
This package contains several components useful to build a highlighter on top of the `Matches` API.

- ## Uses of OffsetRange in org.apache.lucene.search.matchhighlight

  Subclasses of OffsetRange in org.apache.lucene.search.matchhighlight
  Modifier and Type
  Class
  Description
  `static class`
  `MatchHighlighter.QueryOffsetRange`
  An `OffsetRange` of a match, together with the source query that caused it.
  `class`
  `Passage`
  A passage is a fragment of source text, scored and possibly with a list of sub-offsets (markers) to be highlighted.
  Fields in org.apache.lucene.search.matchhighlight with type parameters of type OffsetRange
  Modifier and Type
  Field
  Description
  `List<OffsetRange>`
  Passage.`markers`
  Methods in org.apache.lucene.search.matchhighlight that return OffsetRange
  Modifier and Type
  Method
  Description
  `OffsetRange`
  BreakIteratorShrinkingAdjuster.`adjust(Passage passage)`
  `OffsetRange`
  PassageAdjuster.`adjust(Passage p)`
  `OffsetRange`
  OffsetRange.`clone()`
  `OffsetRange`
  OffsetRange.`slice(int from, int to)`
  Returns a sub-range of this range (a copy).
  `OffsetRange`
  Passage.`slice(int from, int to)`
  Passages can't be sliced as it could split previously determined highlight markers.
  Methods in org.apache.lucene.search.matchhighlight that return types with arguments of type OffsetRange
  Modifier and Type
  Method
  Description
  `List<OffsetRange>`
  OffsetsFromMatchIterator.`get(MatchesIterator matchesIterator, MatchRegionRetriever.FieldValueProvider doc)`
  `List<OffsetRange>`
  OffsetsFromPositions.`get(MatchesIterator matchesIterator, MatchRegionRetriever.FieldValueProvider doc)`
  `List<OffsetRange>`
  OffsetsFromTokens.`get(MatchesIterator matchesIterator, MatchRegionRetriever.FieldValueProvider doc)`
  `List<OffsetRange>`
  OffsetsFromValues.`get(MatchesIterator matchesIterator, MatchRegionRetriever.FieldValueProvider doc)`
  `List<OffsetRange>`
  OffsetsRetrievalStrategy.`get(MatchesIterator matchesIterator, MatchRegionRetriever.FieldValueProvider doc)`
  Return value offsets (match ranges) acquired from the given `MatchesIterator`.
  Methods in org.apache.lucene.search.matchhighlight with parameters of type OffsetRange
  Modifier and Type
  Method
  Description
  `boolean`
  OffsetRange.`contains(OffsetRange other)`
  Method parameters in org.apache.lucene.search.matchhighlight with type arguments of type OffsetRange
  Modifier and Type
  Method
  Description
  `void`
  MatchRegionRetriever.MatchOffsetsConsumer.`accept(int docId, LeafReader leafReader, int leafDocId, MatchRegionRetriever.FieldValueProvider fieldValueProvider, Map<String,List<OffsetRange>> hits)`
  `void`
  MatchRegionRetriever.`highlightDocument(LeafReaderContext leafReaderContext, int contextDocId, MatchRegionRetriever.FieldValueProvider doc, ToIntFunction<String> maxHitsPerField, Map<String,List<OffsetRange>> outputHighlights)`
  Low-level method for retrieving hit ranges for a single document.
  `List<Passage>`
  PassageSelector.`pickBest(CharSequence value, List<? extends OffsetRange> markers, int maxPassageWindow, int maxPassages)`
  `List<Passage>`
  PassageSelector.`pickBest(CharSequence value, List<? extends OffsetRange> markers, int maxPassageWindow, int maxPassages, List<OffsetRange> permittedPassageRanges)`
  `protected Passage[]`
  PassageSelector.`pickDefaultPassage(CharSequence value, int maxCharacterWindow, int maxPassages, List<OffsetRange> permittedPassageRanges)`
  Invoked when no passages could be selected (due to constraints or lack of highlight markers).
  Constructor parameters in org.apache.lucene.search.matchhighlight with type arguments of type OffsetRange
  Modifier
  Constructor
  Description
  ``
  `Passage(int from, int to, List<OffsetRange> markers)`
  ``
  `PassageFormatter(String ellipsis, Function<OffsetRange,String> markerStart, Function<OffsetRange,String> markerEnd)`